### Method

# Gdk Dragget_drag_surface

#### Declaration [src]

    GdkSurface*
    gdk_drag_get_drag_surface (
      GdkDrag* drag
    )

#### Description [src]

Returns the surface on which the drag icon should be rendered during the drag operation.

Note that the surface may not be available until the drag operation has begun. GDK will move the surface in accordance with the ongoing drag operation. The surface is owned by `drag` and will be destroyed when the drag operation is over.

#### Return value

Type: `GdkSurface`

The drag surface.

The data is owned by the instance.
The return value can be `NULL`.